##### Views

- Page
- Discussion
- View source
- History

# love.graphics.setColor

Sets the color used for drawing.

## Function

### Synopsis

love.graphics.setColor( red, green, blue, alpha )

### Arguments

`number red`
  The amount of red.
`number green`
  The amount of green.
`number blue`
  The amount of blue.
`number alpha (255)`
  The amount of alpha. The alpha value will be applied to all subsequent draw operations, even the drawing of an image.

### Returns

Nothing.

## Function

Available since LÖVE 0.7.0
This variant is not supported in earlier versions.

### Synopsis

love.graphics.setColor( rgba )

### Arguments

`table rgba`
  A numerical indexed table with the red, green, blue and alpha values as numbers. The alpha is optional and defaults to 255 if it is left out.

### Returns

Nothing.

## Examples

### Draw a red, blue and green circle

love.graphics.setColor(255, 0, 0)
love.graphics.circle(50, 50, 20, 20)
love.graphics.setColor(0, 0, 255)
love.graphics.circle(50, 100, 20, 20)
myColor = {0, 255, 0, 255}
love.graphics.setColor(myColor)
love.graphics.circle(50, 150, 20, 20)

### Display a Venn diagram

function love.load()
baseX = 300
baseY = 400
radius = 100
offsetY = radius*.5*math.sqrt(3)
love.graphics.setBackgroundColor(255,255,255)
end
function love.draw()
love.graphics.setColor(255, 0, 0, 100)
love.graphics.circle('fill', baseX, baseY, radius, 50)
love.graphics.setColor(0, 255, 0, 100)
love.graphics.circle('fill', baseX + radius / 2, baseY - offsetY, radius, 50)
love.graphics.setColor(0, 0, 255, 100)
love.graphics.circle('fill', baseX + radius, baseY, radius, 50)
end

## See Also

- love.graphics
- HSL color (an alternate color space, based on human perception)

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.graphics.setColor"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties